using System;
using NinjaTrader.Data;

internal sealed class Delegate451 : MulticastDelegate
{
	public extern MarketData Invoke(object object_0);

	public static MarketData smethod_0(object object_0, Delegate451 delegate451_1)
	{
		return delegate451_1(object_0);
	}

	public extern Delegate451(object object_0, IntPtr intptr_0);

	static Delegate451()
	{
		Class10.smethod_13(typeof(Delegate451).TypeHandle);
	}

	internal static Delegate451 delegate451_0;
}
